Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Broadcom driver issue
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2772

PostPosted: Thu Sep 04, 2014 9:12 am    Post subject: Broadcom driver issue Reply with quote

Hi, ALL,
I have a DELL Inspiron which has a Broadcom WiFi PCI card.

Code:

IgorDellGentoo agw # lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801IBM/IEM (ICH9M/ICH9M-E) 4 port SATA Controller [AHCI mode] (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
09:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller (rev 13)
0c:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g LP-PHY (rev 01)


I installed Gentoo successfully over the wire but now trying to get the wireless card working as well.
I built the b43 as amodule, installed b43-firmware with b43-fwcutter and rebooted. Then issued "modprobe b43" and "ifconfig". No success.

After continuos tries I sent an E-mail to b43 support mailing list.

Here is the response from one of the devs:

Quote:

> [ 1.419227] b43-phy0 ERROR: FOUND UNSUPPORTED PHY (Analog 6, Type 5
> (LP), Revision 1)
> [ 1.420925] b43: probe of ssb0:0 failed with error -95
>
> What is "error -95"?

-EOPNOTSUPP
See below.

> Maybe I have wrong firmware?


No. You are using the wrong kernel.

The relevant code section, that throws the error is:

> int unsupported = 0;
>...
> switch (phy_type) {
>...
> #ifdef CONFIG_B43_PHY_LP
> case B43_PHYTYPE_LP:
> if (phy_rev > 2)
> unsupported = 1;
> break;
> #endif
>...
> default:
> unsupported = 1;
> }
> if (unsupported) {
> b43err(dev->wl, "FOUND UNSUPPORTED PHY (Analog %u, Type %d (%s), Revision %u)\n",
> analog_type, phy_type, b43_phy_name(dev, phy_type),
> phy_rev);
> return -EOPNOTSUPP;
> }

So for this error to trigger, you would have to have revision 3 or later, which you don't,
or you would have to have a kernel without LP support compiled in.

Make sure you installed your kernel _and_ initramfs correctly.
Also make sure to boot the correct kernel.


So, here are my questions/issues:

1. This is a brand new install and so there is only one compiled kernel which I'm booting up.
2. How do I check for initramfs correctness?
3. Is is possible that I should upgrade the kernel, even so the devs says the driver should be supported here?

I can post complete .config and dmesg if needed.

I'm using gentoo-sources version 3.12.20.

Thank you.
Back to top
View user's profile Send private message
keet
Guru
Guru


Joined: 09 Sep 2008
Posts: 529

PostPosted: Fri Sep 05, 2014 12:23 am    Post subject: Reply with quote

Could someone please close this thread as a duplicate of https://forums.gentoo.org/viewtopic-t-997980.html ?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum